Entwurf Drehen

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Rotate and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский

Draft Rotate.svg Entwurf Drehen

Menüeintrag
Entwurf → Drehen
Arbeitsbereich
Entwurf, Arch
Standardtastenkürzel
R O
In der Version eingeführt
0.7
Siehe auch
Draft Verschieben, Draft Anordnung


Beschreibung

Das Drehen-Werkzeug dreht oder kopiert die ausgewählten Objekte um einen gegebenen Winkel bezogen auf einen Referenzpunkt.

Das Drehen-Werkzeug kann mit 2D-Formen verwendet werden, die mit dem Draft- oder Skizzierer-Arbeitsbereich erstellt wurden, kann aber auch mit vielen Arten von 3D-Objekten benutzt werden, wie die mit dem Part- oder Arch-Arbeitsbereich erzeugten.

Verschieben wird zum Verschieben ohne Drehung verwendet. Anordung, Draft PfadDatenfeld oder Draft PointArray werden verwendet, um verschiedene Kopien in unterschiedlichen Anordnungen zu erzeugten.

Draft Rotate example.jpg

Drehen eines Objekts mit einem Mittelpunkt-Referenzpunkt, von einem Referenzwinkel zu einen anderen Winkel


Anwendung

  1. Die Objekte auswählen, die gedreht oder kopiert werden sollen
  2. Auf die Schaltfläche Draft Rotate.svg Entwurf Drehen klicken oder die Tasten R und dann O drücken. Wenn kein Objekt ausgewählt wurde, erscheint die Bitte, das zu tun.
  3. Auf einen ersten Punkt in der 3D-Ansicht klicken oder die Entwurfskoordinaten eingeben und die Schaltfläche Draft AddPoint.svg Punkt hinzufügen drücken. Dieser dient als Basispunkt der Operation, durch den die Drehachse verlaufen wird.
  4. Auf einen zweiten Punkt in der 3D-Ansicht klicken oder einen Basiswinkel angeben. Dies definiert eine Grundlinie, die sich um den ersten Punkt dreht.
  5. Auf einen dritten Punkt in der 3D-Ansicht klicken oder einen Rotationswinkel angeben. Dies startet die Drehung der Grundlinie und dadurch auch der Objekte.

Einschränkung

Um ein Objekt zu drehen, das auf der Skizze aus dem Skizzierer kommt, z.B. einem Objekt, das im PartDesign-Arbeitsbereich mit PartDesign Aufpolstern, PartDesign Rotation, etc. erstellt wurde, muß die Originalskizze (erste Skizze) bewegt werden. Wenn ein abgeleitetes Objekt bewegt wird, wird es zu der Position zurückkehren, die durch die Skizze vorgegeben ist.

Optionen

  • Die Taste X, Y oder Z nach einem Punkt betätigen, um den nächsten Punkt auf der entsprechenden Achse einzuschränken.
  • Zur manuellen Eingabe der Koordinaten einfach die Werte eingeben und jeweils die ENTER-Taste zwischen jeder X-, Y- und Z-Komponente betätigen.
Die Draft AddPoint.svg Punkt hinzufügen-Schaltfläche betätigen, wenn die gewünschten Werte für den einzufügenden Punkt eingegeben sind.
  • Die T-Taste betätigen oder auf das Auswahlkästchen klicken, um in den "Nächstes-Modus" umzuschalten. Wenn der "Nächstes_Modus" aktiv ist, wird das Werkzeug Drehen wieder aufgerufen, nachdem die Operation abgeschlossen wurde. Dies ermöglicht es, weitere Objekte zu drehen oder zu kopieren ohne jedesmal wieder auf die Drehen-Schaltfläche klicken zu müssen.
  • Die P-Taste betätigen oder auf das Auswahlkästchen klicken, um in den "Kopiermodus" umzuschalten. Wenn der "Kopier_Modus" aktiv ist, wird das Werkzeug Drehen die Originalform bzw. das Originalobjekt an seinem Platz lassen, aber eine Kopie erzeugen und mit dem angegebenen Winkel am dritten Punkt einfügen.
Es können beide T- und P-Tasten verwendet werden, um mehrere Kopien der Reihe nach zu positionieren.
  • Durch Halten der ALT-Taste nach dem zweiten Punkt wird ebenfalls in den "Kopiermodus" geschalten. Wenn die ALT-Taste nach dem Klicken des dritten Punktes gehalten wird, kann man weitere Kopien mit dem gleichen Rotationspunkt und der gleichen Rotationsachse positionieren. Nach dem Lösen der ALT-Taste wird die Aktion abgeschlossen und die Kopien werden angezeigt.
  • Durch das Halten der Ctrl-Taste wird das Einrasten (Fangen) zum nächstgelegenen Einrastpunkt aktiviert, unabhängig von der Distanz dahin.
  • Das Halten der Taste CTRL während der Mausbewegung erzwingt den Einrasten zur nächsten Einrastposition unabhängig vom Abstand dazu.
  • Das Halten der Umschalt-Taste während des Drehens schränkt die Bewegung zum nächsten horizontalen oder vertikalen Punkt den nächsten Punkt in Bezug auf das Rotationszentrum ein.
  • Mit der ESC-Taste oder durch Klicken auf die Schließen-Schaltfläche wird der aktuelle Befehl abgebrochen. Kopien, die bereits erstellt wurden, bleiben erhalten.

Skripten

Siehe auch: Draft API und FreeCAD GrundlagenSkripten.

Das Drehen-Werkzeug kann in Makros und aus der Python-Konsole heraus durch folgende Funktion veerwendet werden:

rotatedlist = rotate(objectslist, angle, center=Vector(0,0,0), axis=Vector(0,0,1), copy=False)
  • Dreht den Basispunkt der Objekte in der angegebenen Liste objectlist mit dem angegebenen Winkel angle um das Rotationszentrum.
    • objectlist kann ein einzelnes Objekt oder eine Liste von Objekten sein.
    • Wenn ein Rotationszentrum (center) und axis gegeben sind, werden sie verwendet, ansonten bezieht sich die Drehung auf den Ursprung und um die Z-Achse.
Der Drehungswinkel bezieht sich auf den Basispunkt des Objektes. Wenn also ein Objekt um 45 Grad gedreht wird und dann ein weiteres Mal um 45 Grad gedreht wird, wird es insgesamt um 90 Grad zu ihrer Ursprungsposition gedreht sein.
  • Wenn copy True ist, werden Kopien erstellt anstatt die originalen Objekte zu drehen.
  • Eine rotatedlist wird mit den gedrehten Originalen oder mit den neuen Kopien gemeldet.
    • rotatedlist ist entweder ein einzelnes Objekt oder eine Liste von Objekten, abhängig von der Eingabe objectlist.

Beispiel:

import FreeCAD, Draft

Polygon1 = Draft.makePolygon(3, radius=500)
Draft.move(Polygon1, FreeCAD.Vector(1500, 0, 0))

Draft.rotate(Polygon1, 45)

# Rotation around the origin
angle1 = 63
rot2 = Draft.rotate(Polygon1, angle1, copy=True)
rot3 = Draft.rotate(Polygon1, 2*angle1, copy=True)
rot4 = Draft.rotate(Polygon1, 4*angle1, copy=True)

Polygon2 = Draft.makePolygon(3, radius=1000)
Polygon3 = Draft.makePolygon(5, radius=500)
Draft.move(Polygon2, FreeCAD.Vector(2000, 0, 0))
Draft.move(Polygon3, FreeCAD.Vector(2000, 0, 0))

# Rotation around another point
angle2 = 60
c = FreeCAD.Vector(3100, 0, 0)
List2 = [Polygon2, Polygon3]
rot_list2 = Draft.rotate(List2, angle2, center=c, copy=True)
rot_list3 = Draft.rotate(List2, 2*angle2, center=c, copy=True)
rot_list4 = Draft.rotate(List2, 4*angle2, center=c, copy=True)